=== debian/control ===
Source: ros-melodic-controller-manager-tests
Section: misc
Priority: optional
Maintainer: Bence Magyar <bence.magyar.robotics@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-controller-interface, ros-melodic-controller-manager, ros-melodic-hardware-interface, ros-melodic-pluginlib, ros-melodic-rosbash, ros-melodic-roscpp, ros-melodic-rosnode, ros-melodic-rostest
Homepage: http://ros.org/wiki/controller_manager_tests
Standards-Version: 3.9.2

Package: ros-melodic-controller-manager-tests
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-controller-interface, ros-melodic-controller-manager, ros-melodic-controller-manager-msgs, ros-melodic-hardware-interface, ros-melodic-pluginlib, ros-melodic-roscpp, ros-melodic-rospy
Description: Tests for the controller manager.
